Bug 107299 - New Template Manager help content issues
Summary: New Template Manager help content issues
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.4.0.1 target:5.5.0
Keywords:
Depends on: 107229
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-20 15:26 UTC by Martin Srebotnjak
Modified: 2017-06-15 22:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2017-04-20 15:26:28 UTC
Description:
The added Template Manager help content has several issues:
- several times shortcuts are used without options for macOS, like:
Press Ctrl-Shift-N or File – New Template to open the Template Manager
(macOS should have Cmd/Command instead of Ctrl)
There are other appearances as well.
- there is an unfinished sentence, supposedly a link to another help page is missing in the sentence:
"Refer to for templates to download."

Steps to Reproduce:
1. See Pootle - helpcontent2\source\text\shared/guide.po
2.
3.

Actual Results:  
Help text is not OK for all OS.

Expected Results:
Should be true on all OS.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.12; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Commit Notification 2017-05-10 06:58:57 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=95f6c4f9c7b7d4b733924839ab3c96a515ccf039

tdf#107299 Make shortcuts compatible with Mac OS
Comment 2 Commit Notification 2017-05-10 06:59:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=0866626beaf9071d8133ac8074a1ed7d88a10828

tdf#107299 Add links to the extensions site
Comment 3 Commit Notification 2017-05-10 07:00:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=cec7f3a640deadf818a0b44ae6fe66e1e7a1c15d

tdf#107299 Make the main description of the window a full sentence
Comment 4 Commit Notification 2017-05-10 07:00:41 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=c209d3d1a309fe461a6f73dc937b59a0438fd222

tdf#107299 Add bookmarks and ahelps to template manager page
Comment 5 Commit Notification 2017-05-10 07:03:38 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=0c6dfb77b57ed50e9cbe6f093e698929c4e5740d

tdf#107299 Add some missing links to Related Topics
Comment 6 Commit Notification 2017-05-15 07:05:19 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=a64a3552f8550292e073625a656f16ae241a0dfd

tdf#107299 Do not refer icons by their picture - it's theme-dependent
Comment 7 Commit Notification 2017-05-15 07:13:15 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=fbfb0eaa4bb2db3dd1a73aa5eb58e466aa8bf4d6

tdf#107299 Match page title with menu item title
Comment 8 Commit Notification 2017-05-15 07:13:50 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=fe4395ad1b3e1930300d6c3493e8487c01e2d7ab

tdf#107299 Typo: Chose
Comment 9 Commit Notification 2017-05-19 14:48:03 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=49e9e98224321ab478681dd93476d54594a55432

tdf#107299 Mention how to add more template folders
Comment 10 Commit Notification 2017-05-19 14:49:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=58fffb4dd1525c186035c4884d88226193772bf7&h=libreoffice-5-4

tdf#107299 Mention how to add more template folders
Comment 11 Commit Notification 2017-05-31 10:29:51 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=78472fa975bce0b4bb26bce0cad6c15c910e8361

tdf#107299 Fix reference to File - Templates menu item
Comment 12 Commit Notification 2017-05-31 10:29:59 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=575aa5ef741998bf6a739b856087023668291836&h=libreoffice-5-4

tdf#107299 Fix reference to File - Templates menu item
Comment 13 Gabor Kelemen 2017-06-15 21:50:04 UTC
I think it would be safe now to close this one.
The originally reported problems are now fixed, and a few more as well.
Maybe we could split the examples out to new guide pages, but that's not really a problem in itself.